Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class HexSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.HexSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer, SimpleValueSerializer

public class HexSerializer
extends java.lang.Object
implements SimpleValueSerializer

Serializer for hexBinary.

Author:
  Davanum Srinivas Modified by @author Rich scheuerle
See Also:
  XML Schema 3.2.16, Serialized Form

Field Summary
`java.lang.Class` | `javaType`
`QName` | `xmlType`

Constructor Summary
`HexSerializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`java.lang.String` | `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`java.lang.String` | `getValueAsString(java.lang.Object value, SerializationContext context)` Return an XML compatible representation of the value.
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a HexBinary quantity.
`org.w3c.dom.Element` | `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlType

    public QName xmlType

### javaType

    public java.lang.Class javaType

Constructor Detail

### HexSerializer

    public HexSerializer(java.lang.Class javaType,
                         QName xmlType)

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a HexBinary quantity.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext
  Throws:
    `java.io.IOException`

### getValueAsString

    public java.lang.String getValueAsString(java.lang.Object value,
                                             SerializationContext context)

  Description copied from interface: `SimpleValueSerializer`
  Return an XML compatible representation of the value.

  Specified by:
    `getValueAsString` in interface `SimpleValueSerializer`
  Parameters:
    `value` -
  Returns:

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Specified by:
    `getMechanismType` in interface `Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.